require_relative "lib/senna/version"

Gem::Specification.new do |s|
  s.name        = 'senna'
  s.version     = Senna::VERSION
  s.summary     = 'Senna'
  s.description = 'High performance, background jobs for Ruby.'
  s.authors     = ['Mauricio Gomes']
  s.email       = 'mauricio@edge14.com'
  s.files       = `git ls-files`.split("\n")
  s.homepage    = 'http://github.com/mgomes/senna'
  s.license     = 'LGPLv3'
  s.required_ruby_version = ">= 2.4.0"
  s.executables   = ['senna']

  s.add_dependency 'async', '~> 1.20'
  s.add_dependency 'async-io', '~> 1.24'
  s.add_dependency 'async-container', '~> 0.14'
  s.add_dependency 'redis', '>= 4.0.2'

  s.add_development_dependency 'rspec', '= 3.8.0'

end
